Texte Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Text and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft Rectangle.svg Rectangle
Page suivante: Dimension Draft Dimension.svg Arrow-right.svg

Draft Text.svg Texte

Emplacement du menu
Draft → Texte
Ateliers
Planche à dessin
Raccourci par défaut
T E
Introduit dans la version
0.7
Voir aussi
Draft Label, Draft ShapeString


Description

L'outil texte, requiert un point d'emplacement, puis, du texte peut être saisi dans une boîte de dialogue texte.

Le texte prend les attributs du Style défini dans Draft Tray..

Pour créer une étiquette de texte avec un en-tête et une flèche, utilisez Draft Label. Pour créer du texte solide ou des lettres 3D, utilisez Draft ShapeString avec Part Extrusion.

Draft Text example.jpg

Un simple point est nécessaire pour positionner le textBox


Avertissement: Les textes créés avec version 0.18 ne sont pas rétrocompatibles. Sauvegardez donc votre travail si vous essayez d'ouvrir les fichiers créés avec la version 0.18 avec des versions plus anciennes.

Utilisation

  1. Pressez la touche Draft Text.png Draft Text button, ou pressez les touches T, puis E
  2. Cliquez un point dans la vue 3D, ou tapez les coordonnées et pressez le bouton Draft AddPoint.svg Ajouter un point.
  3. Entrez le texte désiré, et tapez sur Entrée entre chaque ligne,
  4. Pressez deux fois sur Entrée, (ce qui laisse la dernière ligne vide), ajoute le texte au document, et, ferme l'éditeur.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Maintenez la touche Ctrl enfoncée tout en plaçant le texte pour forcer la capture de votre point au point de capture le plus proche, indépendamment de la distance.
  • Pressez sur la Enter ou ↓ Flèche du bas pour entrer la nouvelle ligne de texte.
  • Pressez sur la ↑ Flèche du haut pour éditer la ligne de texte précédente.
  • Appuyez deux fois sur Entrée ou ↓ Flèche du bas pour terminer l'édition du texte.
  • Appuyez sur Esc ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Données

  • DONNÉESText: spécifie le contenu du bloc de texte en tant que liste, chaque élément de la liste, séparé par une virgule, indique une nouvelle ligne.
  • DONNÉESPosition: Point de base du bloc de texte
  • DONNÉESAngle: spécifie la rotation de la ligne de base de la première ligne du bloc de texte.
  • DONNÉESAxis: spécifie l'axe à utiliser pour la rotation.

Vue

  • VUEDisplay Mode: Spécifie si le texte est aligné à la scène ou toujours face à la caméra
  • VUEFont Name: La police de caractères à utiliser. Peut être un nom de police, comme "Arial", style par défaut, "sans", "serif" ou "mono", ou une série comme "Arial,Helvetica,sans", ou un nom avec un style comme "Arial:Bold". Si la police donnée, ne se trouve pas sur le système, une police générique est utilisée à la place.
  • VUEFont Size: La dimension des lettres. Si l'objet texte est créé dans la vue arborescente mais qu'aucun texte n'est visible, augmentez la taille du texte jusqu'à ce qu'il soit visible.
  • VUEJustification: Spécifie l'alignement du texte à gauche à droite ou an centre du point de base
  • VUELine Spacing: Spécifie l'espace entre les lignes du texte
  • VUERotation: Spécifie la rotation a appliquer au texte
  • VUERotation Axis: Spécifie l'axe de rotation a utiliser

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil texte peut être utilisé dans les macros, et dans la console Python, en utilisant la fonction suivante :

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Crée un objet Text, au point donné, si un FreeCAD.Vecteur.
  • stringlist est une chaîne ou une liste de chaînes, s'il s'agit d'une liste, chaque élément est affiché dans sa propre ligne.
  • Si Screen est True, la direction du texte fait toujours face à la vue, sinon, il se situe sur le plan X, Y.

Le placement du Texte peut être modifié en remplaçant son attribut Placement ou en modifiant individuellement les attributs Placement.Base et Placement.Rotation.

Les propriétés d'affichage du Texte peuvent être modifiées en remplaçant ses attributs. Par exemple, modifiez ViewObject.FontSize avec la nouvelle taille en millimètres.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)
Arrow-left.svg Page précédente: Draft Rectangle.svg Rectangle
Page suivante: Dimension Draft Dimension.svg Arrow-right.svg